Summary: General Purpose Mouse support for Linux
Name: gpm
Version: 1.10
Release: 5
Copyright: GPL
Group: Daemons
Source: sunsite.unc.edu:/pub/Linux/system/Daemons/gpm-1.10.tar.gz
Source1: gpm.init
Patch: gpm-1.06-ncurses.patch
Patch1: gpm-1.10-glibc.patch
Patch2: gpm-1.10-stupid.patch

%description
GPM adds mouse support to text-based Linux applications such as emacs,
Midnight Commander, and more. It also provides console cut-and-paste 
operations using the mouse. Includes a program to allow pop-up menus to
appear at the click of a mouse button. 

%package devel
Requires: gpm
Summary: development libraries and headers for writing mouse driven programs
Group: Development/Libraries
%description devel
This package allows you to develop your own text-mode programs that take
advantage of the mouse. 

%prep
%setup
%patch -p1
%patch1 -p1
%patch2 -p1

%build
make

%install
%ifarch sparc
(echo MOUSETYPE=\"sun\"; echo XEMU3=no) > /etc/sysconfig/mouse
%endif

PATH=/sbin:$PATH:/usr/sbin:$PATH

rm -f /usr/info/gpm.info*
make install 
gzip -9nf /usr/info/gpm.info*
install -m644 gpm-root.conf /etc
install -s -m755 mouse-test /usr/bin
install -s -m755 hltest /usr/bin
strip /usr/bin/gpm /usr/bin/mev /usr/bin/gpm-root
install -m 755 -o root -g root $RPM_SOURCE_DIR/gpm.init /etc/rc.d/init.d/gpm
(cd /etc/rc.d/rc2.d;
 ln -sf ../init.d/gpm S85gpm
 cd /etc/rc.d/rc3.d;
 ln -sf ../init.d/gpm S85gpm
 cd /etc/rc.d/rc5.d;
 ln -sf ../init.d/gpm S85gpm
 cd /etc/rc.d/rc0.d;
 ln -sf ../init.d/gpm K15gpm
 cd /etc/rc.d/rc1.d;
 ln -sf ../init.d/gpm K15gpm
 cd /etc/rc.d/rc6.d;
 ln -sf ../init.d/gpm K15gpm
) 

/sbin/ldconfig
ln -sf libgpm.so.1.10 /usr/lib/libgpm.so

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%config /etc/gpm-root.conf

%ifarch sparc
%config /etc/sysconfig/mouse
%endif

/usr/bin/gpm
/usr/bin/mev
/usr/bin/gpm-root
/usr/bin/mouse-test
/usr/bin/hltest
/usr/lib/emacs/site-lisp/t-mouse.el
/usr/lib/emacs/site-lisp/t-mouse.elc
/usr/info/gpm.info*
/usr/man/man1/gpm.1
/usr/man/man1/mev.1
/usr/man/man1/gpm-root.1
/usr/lib/libgpm.so.1.10
%config /etc/rc.d/init.d/gpm
%config /etc/rc.d/rc2.d/S85gpm
%config /etc/rc.d/rc3.d/S85gpm
%config /etc/rc.d/rc5.d/S85gpm
%config /etc/rc.d/rc0.d/K15gpm
%config /etc/rc.d/rc1.d/K15gpm
%config /etc/rc.d/rc6.d/K15gpm

%files devel
/usr/lib/libgpm.a
/usr/include/gpm.h
/usr/lib/libgpm.so
